#!/bin/sh
##      make_spec.sh
##
##
## Copyright (C) 2009 Max V. Stotsky <ms@pereslavl.ru>
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published
## by the Free Software Foundation; version 3 or later.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##

name=$1
release=$2
release_num=1
srcpath=$(pwd | sed 's/\//\\\//g')
common_requires="python >= 2.4, iputils, librsvg2, net-tools, xdg-utils"

case $release in
	fc)
		release=$release_num.$release
		requires="$common_requires, pygtk2, pygtk2-libglade, traceroute"
		;;
	mdv)
		release=$release_num$release
		requires="$common_requires, pygtk2.0, pygtk2.0-libglade, traceroute"
		;;
	suse)
		release=$release_num$release
		requires="$common_requires, python-gtk"
		;;

	alt)
		release=$release$release_num
		requires="$common_requires, python-module-pygtk, python-module-pygtk-libglade, traceroute"
		;;
	*)
		exit 10
		;;
esac

cat $name.spec.in | \
	sed "s/__release__/$release/" | \
	sed "s/__requires__/$requires/" | \
	sed "s/__srcpath__/$srcpath/" > $name.spec

